### Function

# Fwupd Device array_filter_flags

#### Declaration [src]

    GPtrArray*
    fwupd_device_array_filter_flags (
      GPtrArray* devices,
      FwupdDeviceFlags include,
      FwupdDeviceFlags exclude,
      GError** error
    )

#### Description [src]

Creates an array of new devices that match using fwupd_device_match_flags().

Available since: | 1.9.3

#### Parameters

`devices` | An array of `None`
| Devices.
| The data is owned by the caller of the function.
`include` | `FwupdDeviceFlags`
| `FwupdDeviceFlags`, or `FWUPD_DEVICE_FLAG_NONE`.
`exclude` | `FwupdDeviceFlags`
| `FwupdDeviceFlags`, or `FWUPD_DEVICE_FLAG_NONE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| Devices.
| The caller of the function takes ownership of the data container, but not the data inside it.